## ldapDrivers

Description

Located in /inc/drivers_ldap.php (line 16)

Method Summary
ldapDrivers __construct (array $config)
void getAllGroups ( $attributes)
void getAllUsers ( $attributes)
array requestUser (string $filter, [array $attributes = NULL], $username, string $passwd)
Methods
Constructor __construct (line 35)

Initializes the LDAP connection

ldapDrivers __construct (array $config)

- array $config: The configuration data

getAllGroups (line 147)

Retrieve all groups from the LDAP directory

void getAllGroups ( $attributes)

- $attributes

getAllUsers (line 116)

Retrieve all users from the LDAP directory

void getAllUsers ( $attributes)

- $attributes

requestUser (line 182)

Returns the result of the LDAP query

- return: Contains selected attributes from all entries corresponding to the given filter

array requestUser (string $filter, [array $attributes = NULL], $username, string $passwd)

- string $filter: The filter used to search entries
- array $attributes: Attributes to be returned
- string $passwd: password to check
- $username

Documentation generated on Fri, 13 Jan 2012 23:44:54 +1300 by phpDocumentor 1.4.3